%define origname TwistedWords

Name: python-module-twisted-words
Version: 10.1.0
Release: alt1
%setup_python_module twisted-words
Summary: Twisted Words contains Instant Messaging implementations

Group: Development/Python
License: MIT
Url: http://www.twistedmatrix.com
Packager: Sergey Alembekov <rt@altlinux.ru>
Source: http://tmrc.mit.edu/mirror/twisted/Words/10.1/%origname-%version.tar.bz2
Source1: README.ALT-ru_RU.UTF-8

BuildRequires: python-module-twisted-core >= 10.1.0
BuildRequires: python-devel

Requires: python-module-twisted-core

%add_python_req_skip java javax

%description
Twisted is an event-based framework for internet applications.

Twisted Words contains implementations of many Instant Messaging
protocols, including IRC, Jabber, MSN, OSCAR (AIM & ICQ), TOC (AOL),
and some functionality for creating bots, inter-protocol gateways, and
a client application for many of the protocols.

In support of Jabber, Twisted Words also contains X-ish, a library for
processing XML with Twisted and Python, with support for a Pythonic DOM and
an XPath-like toolkit.

%package gui
Summary: GUI for Twisted Words
Group: Development/Python
Requires: python-module-twisted-words = %version-%release

%description gui
GUI for Twisted Words

%package tests
Summary: Tests for Twisted Words
Group: Development/Python
Requires: %name = %version-%release

%description tests
Tests for Twisted Words.

%prep
%setup -q -n %origname-%version

%build
%python_build

%install
%python_install --install-purelib %python_sitelibdir

# Man pages
mkdir -p %buildroot%_man1dir/
cp -a doc/man/*.1 %buildroot%_man1dir/
rm -rf doc/man

cp %SOURCE1 README.ALT-ru_RU.UTF-8

%files
%doc README LICENSE NEWS doc/*
%doc README.ALT-ru_RU.UTF-8
%_man1dir/*
#_bindir/im
%python_sitelibdir/Twisted_Words-*-py*.egg-info
%python_sitelibdir/twisted/words/
%exclude %python_sitelibdir/twisted/words/test
#exclude %python_sitelibdir/twisted/words/im/gtkchat.py*
#exclude %python_sitelibdir/twisted/words/im/gtkaccount.py*
#exclude %python_sitelibdir/twisted/words/im/gtkcommon.py*
%python_sitelibdir/twisted/plugins/twisted_words.py*

#files gui
#python_sitelibdir/twisted/words/im/gtkchat.py*
#python_sitelibdir/twisted/words/im/gtkaccount.py*
#python_sitelibdir/twisted/words/im/gtkcommon.py*

%files tests
%python_sitelibdir/twisted/words/test

%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0
- Extracted tests into separate package

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Tue Sep 01 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- build new version
- gui transferred into separated package

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.5.0-alt1
- new version

* Thu Mar 29 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt1
 - Build for new upstream version
